#ifndef MCMC_PATERNITY_H

#define MCMC_PATERNITY_H

#include "patutil.h"
#include "model.h"

int metro_rjfather(chain *c,long *n);
int metro_rjmother(chain *c,long *n);
int metro_mu(chain *c,long *n);
int metro_proploc(chain *c, long *n);
int metro_alpha(chain *c, long  *n);
int metro_beta(chain *c, long *n);

void gibbs_foffspring(chain *c);
void gibbs_moffspring(chain *c);
void gibbs_offspring(chain *c);
void gibbs_mothers(chain *c);
void gibbs_fathers(chain *c);

int metro_temper(model *m,int indx, long *n);
int metro_newsample(model *m,int indx, long *n);

void gibbs_missing(chain *c);
#endif
