#ifndef PARAMETERS_H_
#define PARAMETERS_H_
#include "prior.h"
typedef struct {
	char *datafile,*freqfile,*fatherfile,*motherfile,*knownmothers,*knownfathers,*initfile;
	int warmup,seed,between,replicates,tempering,freqmodel,independence;
	prior fatherprior,motherprior,alphaprior,betaprior,muprior;
	double *tempvals;
	int *fatherrange,*motherrange;
	int * useloci;
	int * usesamp;
	char format;
} parameters;

void printparameters(FILE *out,parameters *p);
parameters readparameters(char *filename);
void destroy_parameters(parameters *p);
#endif
