#ifndef CHAIN_H_
#define CHAIN_H_

#include "prior.h"
#include "parents.h"
#include "data.h"
#include "parameters.h"

typedef struct {
	parents fathers,mothers;		//fathers and mothers
	prior muprior;					//prior for the mutation rate mu
	double mu;						//the mutation rate
	double temper;					//tempering for the likelihood
	double temper3;					//tempering for the priors

	int muindex,temperindex,loci;
//	double *proploc;				// not used currently
	double (*sampleallparentaloffspring)(parents *, parents *,double , 
								   int);// , double *);
} chain;

chain copy_chain(chain *c);
void destroy_chain(chain *c);
void write_chain(FILE *out, chain *c);
chain read_chain(FILE *in);
void swapmalesfemales(chain *c);
chain starting_chain(parameters *p, data *d);
chain copy_resample_chain(chain *c);
void write_sorteddata(FILE *out ,data *d, chain *c,int lettercode);
#endif
