#ifndef DATA_H_
#define DATA_H_
#include "parameters.h"
typedef struct {
	int **Y,loci,*alleles,samples,**allele_labels,max_alleles,**background_freq;
	int **fixed_males,**fixed_females,freqsamples,nfixedfathers,nfixedmothers;
	int *knownfathers,*knownmothers;
	double **rho;
} data;
int destroy_data(data *any);
data read_data(parameters *p);
void sort_genotypes(int **x, int n, int loci);
void print_geno(FILE *out, char *message ,int *gen, char format);
#endif
