#ifndef OFFMODEL_H_
#define OFFMODEL_H_
#include "prior.h"
typedef struct {
	prior nprior,alphaprior;
	int model;
} offmodel;


double ll_off(int *p, int k, double a, offmodel *o);
double lpost_off(int *p, int k , double a,offmodel *o, double temper);
double loff_prior(int k, double al, offmodel *o);
void copy_offmodel(offmodel *to, offmodel from);

int check_off(int *p, int *o, int k, int model);
int check_offb(int *o, int k, int model);
double *lproboff(int *o1,int k1,double alpha, offmodel *off1,
				int *o2, int k2,double beta, offmodel *off2, int n);
#endif
