#ifndef PATLOOKUP_H_
#define PATLOOKUP_H_
void setup_lookup(double mu, int nmu);
double lookup_prob(int *gen, int *male, int *female, int which);
double log_lookup_prob(int *gen, int *male, int *female, int which);
double log_lookup_diff(int *gen, int *male, int *female, int which);
int lookup_muts(int *gen, int *male, int *female);
void swap_tables(int which);
void gettrylookup( double newmu);
void getlookup( double newmu, int which);
void destroy_lookup();
#endif
