#ifndef PATUTIL_H_
#define PATUTIL_H_

#include "chain.h"

double log_posterior(chain *c,double temper, 
					 double temper3);//, double *proploc);

double sampleparentaloffspring(parents *ch, parents *st,
							 double temper, int index);//, double *proploc);

int count_muts(parents *m, parents *f);

double sampleparentalgenotype(int *newgeno,parents *st,int *newpar,
							  int newo ,double temper);
double gibbsparentalgenotypes(parents *ch,parents *st,double temper,double temper3,
							int index);//, double *proploc);
double lpselectedparentalgenotypes(parents *ch,parents *st,double temper,double temper3,
								   int index);//, double *proploc);
void swapmalesfemales(chain *c);
double lpsampleallparentaloffspring(parents *ch, parents *st,
									double temper, int index);//, double *proploc);

double log_like(int **fgenotype, int *fathers,int **mgenotype, 
				int *mothers, int index);//, double *proploc);
double log_priors(parents *males, parents *females, double mu, 
				  prior muprior, double temper3);
double log_parents(int **fgenotype, int nfathers,
				   int **mgenotype, int nmothers,
				   double temper);
void print_probs(FILE *out, chain *c);
double gibbsparentalgenotype(parents *ch,int wh,parents *st,double temper,
									  int index);//, double *proploc);


/*  unrestricted gibbs - allows parents with no offspring in the sample  */
double gibbsparentaloffspringa(parents *ch, parents *st,
							 double temper,int index);//, double *proploc);

double sampleallparentaloffspringa(parents *ch, parents *st,	
								  double temper, int index);//, double *proploc);
/*  restricted gibbs - all parents must have offspring in the sample     */
double gibbsparentaloffspringb(parents *ch, parents *st,
							 double temper,int index);//, double *proploc);
double sampleallparentaloffspringb(parents *ch, parents *st,	
								  double temper, int index);//, double *proploc);

void gibbsonelocus(int *g, parents *st,double temper,double temper3,
				   int index, int *parent, int whpar,int loc,int als);

#endif
